Examples

GET /katello/api/errata/compare
200
{
  "total": 6,
  "subtotal": 6,
  "selectable": 6,
  "page": 1,
  "per_page": 20,
  "error": null,
  "search": null,
  "sort": {
    "by": "updated",
    "order": "desc"
  },
  "results": [
    {
      "id": 296573861,
      "pulp_id": "wecanrebuildhim",
      "title": "bionic man",
      "errata_id": "RHEA-2014-111",
      "issued": "2026-10-31",
      "updated": "2026-10-31",
      "severity": null,
      "description": null,
      "solution": null,
      "summary": null,
      "reboot_suggested": null,
      "uuid": "wecanrebuildhim",
      "name": "bionic man",
      "type": "bugfix",
      "cves": [],
      "bugs": [],
      "hosts_available_count": 0,
      "hosts_applicable_count": 0,
      "packages": [],
      "module_streams": [],
      "comparison": [
        840492357
      ]
    },
    {
      "id": 94098884,
      "pulp_id": "partylikeits1999",
      "title": "World is ending",
      "errata_id": "RHSA-1999-1231",
      "issued": "2026-10-31",
      "updated": "2026-10-31",
      "severity": "Critical",
      "description": null,
      "solution": null,
      "summary": null,
      "reboot_suggested": true,
      "uuid": "partylikeits1999",
      "name": "World is ending",
      "type": "security",
      "cves": [
        {
          "cve_id": "CVE-2223-0322",
          "href": "https://www.redhat.com/security/data/cve/CVE-2233-0322.html"
        }
      ],
      "bugs": [],
      "hosts_available_count": 0,
      "hosts_applicable_count": 0,
      "packages": [
        "foobar-1.2.3"
      ],
      "module_streams": [],
      "comparison": [
        840492357,
        531274492
      ]
    },
    {
      "id": 92680584,
      "pulp_id": "100dividedby0",
      "title": "Divide by zero",
      "errata_id": "RHBA-2014-013",
      "issued": "2026-10-31",
      "updated": "2026-10-31",
      "severity": null,
      "description": null,
      "solution": null,
      "summary": null,
      "reboot_suggested": null,
      "uuid": "100dividedby0",
      "name": "Divide by zero",
      "type": "enhancement",
      "cves": [],
      "bugs": [],
      "hosts_available_count": 0,
      "hosts_applicable_count": 0,
      "packages": [],
      "module_streams": [],
      "comparison": [
        840492357
      ]
    },
    {
      "id": 1037874757,
      "pulp_id": "modularissue",
      "title": "modularissue",
      "errata_id": "RHEA-2019-002",
      "issued": "2026-10-31",
      "updated": null,
      "severity": null,
      "description": null,
      "solution": null,
      "summary": null,
      "reboot_suggested": null,
      "uuid": "modularissue",
      "name": "modularissue",
      "type": "bugfix",
      "cves": [],
      "bugs": [],
      "hosts_available_count": 0,
      "hosts_applicable_count": 0,
      "packages": [],
      "module_streams": [
        {
          "name": "three",
          "stream": "noitsariver",
          "version": "one",
          "context": "buckeye",
          "arch": "bridge",
          "pulp_id": "three",
          "id": 113629430,
          "packages": [
            "foobarmod-1.2.3"
          ]
        }
      ],
      "comparison": [
        840492357
      ]
    },
    {
      "id": 578173371,
      "pulp_id": "trailing_whitespace",
      "title": "trailing_whitespace",
      "errata_id": "RHEA-2022-007",
      "issued": "2026-10-31",
      "updated": null,
      "severity": null,
      "description": "You know I had to do it to em\n",
      "solution": null,
      "summary": null,
      "reboot_suggested": null,
      "uuid": "trailing_whitespace",
      "name": "trailing_whitespace",
      "type": "bugfix",
      "cves": [],
      "bugs": [],
      "hosts_available_count": 0,
      "hosts_applicable_count": 0,
      "packages": [],
      "module_streams": [],
      "comparison": [
        840492357
      ]
    },
    {
      "id": 417675832,
      "pulp_id": "singletonissue",
      "title": "singletonissue",
      "errata_id": "RHEA-2017-007",
      "issued": "2026-10-31",
      "updated": null,
      "severity": null,
      "description": null,
      "solution": null,
      "summary": null,
      "reboot_suggested": null,
      "uuid": "singletonissue",
      "name": "singletonissue",
      "type": "bugfix",
      "cves": [],
      "bugs": [],
      "hosts_available_count": 0,
      "hosts_applicable_count": 0,
      "packages": [],
      "module_streams": [],
      "comparison": [
        840492357
      ]
    }
  ]
}

Params

Param name Description
content_view_version_ids
optional

content view versions to compare

Validations:

  • Must be an array of any type

repository_id
optional

Library repository id to restrict comparisons to

Validations:

  • Must be a number.

restrict_comparison
optional

Return same, different or all results

Validations:

  • String